Subject: bug#17270: 24.3.90; REGRESSION: `revert-buffer' puts face `next-error' on section of buffer

From: Drew Adams <[email-masked]>
Date: Tue, 15 Apr 2014 10:14:41 -0700 (PDT)

I do not have a repro recipe.  I noticed this with my setup.  

This regression seems to have started with this pretest build.
I have NOT noticed it with this dev snapshot build of the same date:

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-04-12 on ODIEONE
Repository revision: 116973 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/snapshot/trunk
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
 LDFLAGS=-Lc:/Devel/emacs/lib 'CPPFLAGS=-DGC_MCHECK=1
 -Ic:/Devel/emacs/include''

I use this command (bound to <f5>):

(defun revert-buffer-no-confirm ()
  "Revert buffer without confirmation."
  (interactive) (revert-buffer t t))

Sometimes when I use it now, a portion of the buffer gets an overlay
with face `next-error'.  E.g. `C-u C-x =' shows:

  There is an overlay here:
   From 386 to 69684
    face                 next-error

In GNU Emacs 24.3.90.1 (i686-pc-mingw32)
 of 2014-04-12 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'